Bug 4831 - gdbm test programs don't link
gdbm test programs don't link
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: gdbm (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-01 13:07 EDT by David Lawrence
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-06 13:05:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Tattersall 1999-09-01 13:07:54 EDT
Linking testdbm with /usr/lib/libndbm.so causes undefined
references to
testdbm.o(.text+0x1c0): undefined reference to `fetch'
testdbm.o(.text+0x2a1): undefined reference to `store'
testdbm.o(.text+0x328): undefined reference to `delete'
testdbm.o(.text+0x35d): undefined reference to `firstkey'
testdbm.o(.text+0x384): undefined reference to `fetch'
testdbm.o(.text+0x3e9): undefined reference to `nextkey'
testdbm.o(.text+0x413): undefined reference to `fetch'
testdbm.o(.text+0x469): undefined reference to `firstkey'
testdbm.o(.text+0x49d): undefined reference to `nextkey'
collect2: ld returned 1 exit status

In fact the referenced entry points are not in the library.
Comment 1 Cristian Gafton 1999-10-06 13:05:59 EDT
ndbm is not gdbm, do not confuse the two.

Note You need to log in before you can comment on or make changes to this bug.